
TYPO3.Flow - Bug # 28036

Status: Resolved Priority: Should have
Author: Daniel Lienert Category: Configuration
Created: 2011-07-09 Assigned To: Christian Müller
Updated: 2011-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Affected Flow version:
Subject: Database password in Settings.yaml is not recognized when it starts with an ampersand
Description

A password, that starts with an ampersand is not recognized. Ampersand on an other position causes no problem.

user: 'root'        # adjust to your database user
password: '&d4,Fg2'        # adjust to your database password

History
#1 - 2011-08-29 21:43 - Karsten Dambekalns
- Project changed from TYPO3 Flow Base Distribution to TYPO3.Flow

#2 - 2011-08-29 21:44 - Karsten Dambekalns
- Category set to Configuration

#3 - 2011-10-11 08:48 - Robert Lemke
- Status changed from New to Accepted
- Target version set to 1230

#4 - 2011-10-12 11:38 - Christian Müller

Hopefully fixed after having: http://forge.typo3.org/issues/30826

#5 - 2011-10-13 15:07 - Christian Müller
- Assigned To set to Christian Müller

this works with: https://review.typo3.org/#change,5740

#6 - 2011-10-14 08:53 - Christian Müller
- Status changed from Accepted to Resolved

New YAML parser is merged so this can be closed. I can confirm that a string starting with ampersand works as expected now.

#7 - 2011-10-20 01:37 - Karsten Dambekalns
- Target version changed from 1230 to 1.0.0
